{{#imports}}{{import}}
{{/imports}}
from abc import ABCMeta, abstractmethod

class {{classname}}:

  __metaclass__ = ABCMeta

  {{#operations}}
  {{#operation}}
  @abstractmethod
  def {{operationId}}(self,{{#allParams}}{{paramName}}{{^required}}=None{{/required}}{{#hasMore}}, {{/hasMore}}{{/allParams}}):
    pass

  {{/operation}}
  {{/operations}}
